<template>
  <div class="container">
    <h3 class="subtitle">Click to upload a new image</h3>
    <button class="button" @click="uploadNewImage">Upload Image</button>
  </div>
</template>

<script>
import { uploadImage } from '@/cloudinary'
export default {
  methods: {
    uploadNewImage () {
      const userId = localStorage.getItem('apollo-user')
      uploadImage(userId).then(result => this.$emit('imageUpload', result[0])).catch(error => console.error(error))
    }
  }
}
</script>
